curl --request POST \
--url https://api.conduit.ai/v1/agents/{id}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger_id": "tr77c0dy0mgdpzmqz6tesry8w184002s",
"payload": {
"reservation_id": "res_123",
"status": "confirmed"
}
}
'import requests
url = "https://api.conduit.ai/v1/agents/{id}/run"
payload = {
"trigger_id": "tr77c0dy0mgdpzmqz6tesry8w184002s",
"payload": {
"reservation_id": "res_123",
"status": "confirmed"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
trigger_id: 'tr77c0dy0mgdpzmqz6tesry8w184002s',
payload: {reservation_id: 'res_123', status: 'confirmed'}
})
};
fetch('https://api.conduit.ai/v1/agents/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"dispatched": true,
"trigger_id": "tr77c0dy0mgdpzmqz6tesry8w184002s",
"trigger_type": "event"
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Run Agent
Manually dispatches a V2 agent as if one of its triggers fired. Cron triggers run immediately; webhook and workflow triggers use the supplied payload. Channel/message triggers are not supported. Requires a token with write access.
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Agent id.
"ag77c0dy0mgdpzmqz6tesry8w184002s"
Query Parameters
Optional workspace override. If omitted, Conduit resolves the agent's workspace automatically.
"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"
Body
Request body for manually dispatching a V2 chat agent.
Which trigger to run. Required only when the agent has more than one trigger. Cron runs immediately; webhook and workflow runs use payload.
"tr77c0dy0mgdpzmqz6tesry8w184002s"
Event payload for webhook / workflow triggers — the same JSON shape that trigger would receive when it fires for real. Ignored for cron triggers. Defaults to an empty object.
Response
Agent dispatched
Result of a manual agent dispatch.
Show child attributes
Show child attributes
Was this page helpful?